# Uses of Enum Class
org.eclipse.emf.cdo.common.model.CDOPackageUnit.Type

Packages that use CDOPackageUnit.Type
Package
Description
org.eclipse.emf.cdo.common.model
Common concepts for dealing with models and types.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db.evolution.phased
A phased approach to database evolution.
org.eclipse.emf.cdo.spi.common.model
Common service provider interfaces and useful base implementations for dealing with models and types
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.

## Uses of CDOPackageUnit.Type in org.eclipse.emf.cdo.common.model

Methods in org.eclipse.emf.cdo.common.model that return CDOPackageUnit.Type
Modifier and Type
Method
Description
`CDOPackageUnit.Type`
CDOPackageTypeRegistry.`deregister(String packageURI)`
`CDOPackageUnit.Type`
CDOPackageUnit.`getOriginalType()`
Returns the type of this package unit as it was at the time it was originally committed by a client.
`CDOPackageUnit.Type`
CDOPackageUnit.`getType()`
Returns the current type of this package unit.
`CDOPackageUnit.Type`
CDOPackageTypeRegistry.`lookup(String packageURI)`
`CDOPackageUnit.Type`
CDOPackageTypeRegistry.`lookup(EPackage ePackage)`
`CDOPackageUnit.Type`
CDOPackageTypeRegistry.`register(EPackage ePackage)`
`static CDOPackageUnit.Type`
CDOPackageUnit.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOPackageUnit.Type[]`
CDOPackageUnit.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.common.model with parameters of type CDOPackageUnit.Type
Modifier and Type
Method
Description
`static CDOPackageUnit`
CDOModelUtil.`createPackageUnit(EPackage topLevelPackage, CDOPackageUnit.Type type, long timeStamp, CDOPackageRegistry packageRegistry)`

## Uses of CDOPackageUnit.Type in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOPackageUnit.Type
Modifier and Type
Method
Description
`CDOPackageUnit.Type`
CDODataInput.`readCDOPackageUnitType()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOPackageUnit.Type
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOPackageUnitType(CDOPackageUnit.Type type)`

## Uses of CDOPackageUnit.Type in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server with parameters of type CDOPackageUnit.Type
Modifier and Type
Method
Description
`InternalCDOPackageUnit`
CDOServerImporter.Handler.`handlePackageUnit(String id, CDOPackageUnit.Type type, long time, String data)`
`protected void`
CDOServerExporter.Binary.`startPackageUnit(CDODataOutput out, String id, CDOPackageUnit.Type type, long time, String data)`
`protected abstract void`
CDOServerExporter.`startPackageUnit(OUT out, String id, CDOPackageUnit.Type type, long time, String data)`
`protected void`
CDOServerExporter.XML.`startPackageUnit(org.eclipse.net4j.util.io.XMLOutput out, String id, CDOPackageUnit.Type type, long time, String data)`

## Uses of CDOPackageUnit.Type in org.eclipse.emf.cdo.server.db.evolution.phased

Methods in org.eclipse.emf.cdo.server.db.evolution.phased that return CDOPackageUnit.Type
Modifier and Type
Method
Description
`CDOPackageUnit.Type`
Context.Model.`getOriginalType()`
Returns the original type of this model.
Constructors in org.eclipse.emf.cdo.server.db.evolution.phased with parameters of type CDOPackageUnit.Type
Modifier
Constructor
Description
``
`Model(String id, CDOPackageUnit.Type originalType, long timeStamp, EPackage oldPackage, EPackage newPackage)`
Creates a model with the given ID, original type, timestamp, old and new EPackages.

## Uses of CDOPackageUnit.Type in org.eclipse.emf.cdo.spi.common.model

Methods in org.eclipse.emf.cdo.spi.common.model with parameters of type CDOPackageUnit.Type
Modifier and Type
Method
Description
`void`
InternalCDOPackageUnit.`setOriginalType(CDOPackageUnit.Type originalType)`

## Uses of CDOPackageUnit.Type in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOPackageUnit.Type
Modifier and Type
Method
Description
`CDOPackageUnit.Type`
CDODataInputImpl.`readCDOPackageUnitType()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOPackageUnit.Type
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOPackageUnitType(CDOPackageUnit.Type type)`